package com.mysql.jdbc.util;

import com.mysql.jdbc.TimeUtil;
import java.sql.DriverManager;
import java.sql.ResultSet;

/* loaded from: com_mysql_jdbc_util.jar:com/mysql/jdbc/util/TimezoneDump.class */
public class TimezoneDump {
    private static final String DEFAULT_URL = "jdbc:mysql:///test";

    public static void main(String[] args) throws Exception {
        String jdbcUrl = DEFAULT_URL;
        if (args.length == 1 && args[0] != null) {
            jdbcUrl = args[0];
        }
        Class.forName("com.mysql.jdbc.Driver").newInstance();
        ResultSet rs = DriverManager.getConnection(jdbcUrl).createStatement().executeQuery("SHOW VARIABLES LIKE 'timezone'");
        while (rs.next()) {
            String timezoneFromServer = rs.getString(2);
            System.out.println(new StringBuffer().append("MySQL timezone name: ").append(timezoneFromServer).toString());
            String canonicalTimezone = TimeUtil.getCanoncialTimezone(timezoneFromServer);
            System.out.println(new StringBuffer().append("Java timezone name: ").append(canonicalTimezone).toString());
        }
    }
}
